# NOTE: Derived from blib/lib/Text/EP3/Verilog.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Text::EP3::Verilog;

#line 315 "blib/lib/Text/EP3/Verilog.pm (autosplit into blib/lib/auto/Text/EP3/Verilog/step.al)"
sub step {
# provide a simple command to advance simulation n steps in a test bench
# usage: @step value [command;] 
# step will replace the directive line with one like the following
#  repeat value @ posedge Edgename; command;
#  in my test benches, I use a tclk which is formed an offset from the clock.
#  I step some number of tclks and then do set whatever things I want to
#  change.
    my $self = shift;
    my @string = split(' ',$_[0]);
    my ($directive, $steps, $command);
    print "$self->{Line_Comment}EP3->step: Entered step.  Line  $Text::EP3::line of $Text::EP3::filename\n"	if $self->{Debug} & 1;
 
    # Set up default values
    $self->{Edgename} ||= 'tclk';
    $self->{Edgetype} ||= 'posedge';

    $directive = shift @string;
    $steps = shift @string;
    chop ($steps) if ($steps =~ /;$/);
    print "$self->{Indent}repeat ($steps) @ ($self->{Edgetype} $self->{Edgename}); ";
    $command =  join(' ',@string);
    if (@string) {
        chomp $command;
        # Don't print hanging semi-colons
        if ($command =~ /^\s*;\s*$/) {
            print "\n";
        }
        else {
            print "$command\n"
        }
    }
    else {
        print "\n";
    }
	
}

# end of Text::EP3::Verilog::step
1;
